메인 콘텐츠로 건너뛰기
GET
/
api_keys
/api/v1/api_keys
curl --request GET \
  --url https://api.venice.ai/api/v1/api_keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.venice.ai/api/v1/api_keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.venice.ai/api/v1/api_keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "apiKeyType": "ADMIN",
      "consumptionLimits": {
        "usd": 50,
        "diem": 10,
        "vcu": 30
      },
      "limitPeriod": "MONTH",
      "createdAt": "2023-10-01T12:00:00.000Z",
      "expiresAt": "2023-10-01T12:00:00.000Z",
      "id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
      "last6Chars": "2V2jNW",
      "lastUsedAt": "2023-10-01T12:00:00.000Z",
      "description": "Example API Key",
      "usage": {
        "trailingSevenDays": {
          "usd": "10.2424",
          "vcu": "42.2315",
          "diem": "4.2231"
        }
      },
      "currentPeriodUsage": {
        "usd": "5.1234",
        "diem": "2.5000"
      }
    }
  ],
  "object": "list"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

응답

OK

data
object[]
필수

List of active API keys

object
enum<string>
필수
사용 가능한 옵션:
list